Subject: Re: Last Call: draft-ietf-dnsext-2929bis (Domain Name System (DNS) IANA Considerations) to BCP

From: Sam Weiler <[email-masked]>
Date: Mon, 25 Feb 2008 14:58:53 -0500 (EST)

>> This draft does not address at least one issue raised in WGLC.  It also 
>> contains substantial changes made after the close of WGLC that have 
>> received too little attention from the WG.  Accordingly, I continue to 
>> oppose publication of this document[1].  I suggest that the IESG refer it 
>> back to the WG and, once a new document is advanced, issue a new IETF last 
>> call.
>
> Sam,
> most of the changes are results of the allocation experiment that was 
> conducted. The working group was fully aware of them and the changes made to
> the document see:
> http://psg.com/lists/namedroppers/namedroppers.2007/msg00190.html

While it may well the be case that MOST of the changes resulted from 
the experiment and were called out to the WG, the change I cited (re: 
creating IANA registries using templates) was neither a result of the 
experiment (having been made before the experiment), nor called out.

As for the WG being "fully aware" of the changes resulting from the 
experiment, I note that between the end of WGLC in November 2006 and 
the start of IETF last call a year later (which included the time of 
the experiment), the namedroppers list appears to have seen fourteen 
posts about 2929bis.  The post-experiment discussion of these changes 
was minimal at best.

>> And an example of one of the changes that I think has received too little 
>> review:
>> 
>> The document allows templates to create IANA registries.  Is that 
>> altogether desirable?  Has the expert been given enough guidance to review 
>> such requests?
>
> This is an excellent IETF wide question it is outside the DNSEXT
> WG expertize to judge this issue.
> At this point there is no specific guidance to the expert(s) on
> what to do in this case.

I'm glad you agree that it is an excellent question.  I suspect it's 
one of the things IANA plans to weigh in on.

-- Sam

_______________________________________________
IETF mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ietf